Bug 113149 - [PATCH] Incorrect PCI device enumeration on AMD Tyan x86-64
Summary: [PATCH] Incorrect PCI device enumeration on AMD Tyan x86-64
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-08 22:04 UTC by John Dennis
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:31:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full description of the problem and discussion of the issues (5.41 KB, text/plain)
2004-01-08 22:05 UTC, John Dennis
no flags Details
patch that masks the problem (455 bytes, patch)
2004-01-08 22:07 UTC, John Dennis
no flags Details | Diff

Description John Dennis 2004-01-08 22:04:19 UTC
Please see attachment for complete write-up of problem. A few things
to note:

1) This testing was done with kernel-2.4.21-17.EL

2) This only occurs if ACPI is disabled

3) I have attached a patch that fixes the problem.
   I do not believe the patch is a true fix, it only is masking
   the problem by calling a smarter routine first.

4) Other architectures such as x86 has similar code, there is good
   reason to believe the problem will exist there as well.

5) I do not think pirq_peer_trick is a robust routine and should be
   a candidate for removal. However I do not feel qualified to make
   that assesment.

6) If the bug manifests itself then the XFree86 drivers do not
   initialize correctly, there are resource conflicts, some resources
   are bogus, and they believe there are no interrupts.

Comment 1 John Dennis 2004-01-08 22:05:52 UTC
Created attachment 96847 [details]
full description of the problem and discussion of the issues

Comment 2 John Dennis 2004-01-08 22:07:20 UTC
Created attachment 96848 [details]
patch that masks the problem

Comment 3 RHEL Product and Program Management 2007-10-19 19:31:30 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.